#
# spec file for package tclcurl
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2012 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tclcurl
Version:        7.22.0
Release:        10.3
Summary:        Tcl Binding to libcurl
License:        TCL
Group:          Development/Languages/Tcl
URL:            https://github.com/flightaware/tclcurl-fa
Source:         https://github.com/flightaware/tclcurl-fa/archive/refs/tags/v%{version}.tar.gz#/%{name}-fa-%{version}.tar.gz
Patch0:         tclcurl-types.patch
BuildRequires:  bc
BuildRequires:  libcurl-devel >= 7.54.0
BuildRequires:  tcl-devel
Requires:       tcl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TclCurl provides TCL bindings to the libcurl client-side URL transfer library.

%prep
%autosetup -p0 -n %{name}-fa-%{version}

chmod 644 *.txt doc/*.txt doc/*.html

%build
%configure
make %{?_smp_mflags}

%install
%make_install pkglibdir=%{tcl_archdir}/TclCurl%{version}

mkdir html
cp -p doc/*.html html

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog.txt Changes.txt README.md
%{tcl_archdir}/TclCurl%{version}
%doc %{_mandir}/mann/*.n*

%changelog
* Fri May 17 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Drop stale source file TclCurl-7.22.0.tar.gz: the package was
  change to the -fa- flavor in Feb 2024.
* Mon Feb 26 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Thu Feb 22 2024 ray2501@gmail.com
- change to FlightAware maintain version
* Tue Jun 21 2016 max@suse.com
- bsc#907545, tclcurl-types.patch: Fix segfaults in the multi
  interface, caused by passing incompatible pointers.
* Tue Sep  2 2014 coolo@suse.com
- fix license for spdx 1.2
* Tue Jun 19 2012 gber@opensuse.org
- use %%tcl_archdir macro
* Mon Jun 18 2012 gber@opensuse.org
- initial packaging
